### Einbinden der Pakete ###

# generelle Pakete 
import requests
import json

### Definieren der Funktionen ###

def send_data(data):
    """Diese Funktion sendet das Datum per Curl an die Thingsboard-Cloud

    Parameters:
    ----------
        data (dict): Daten welche ans Thingsboard gesendet werden sollen, Beispiel: data={ "Temp":23,"state":False}

    Returns:
    ----------
        response (str): Antwort auf die Übermittlung: Beispiel: 200 if successful     
    """
    # Header definierten
    headers = {
        'Content-Type': 'application/json',
    }
    # Daten in json Format überführen
    payload = json.dumps(data)
    # Daten per curl an das Thingsboard senden
    response = requests.post('https://thingsboard.cloud/api/v1/sCdIh0TLguO5gvSRZcL8/telemetry', headers=headers, data=payload)
    # Antwort zurückgeben
    return(response.status_code)